{% extends '_layouts/default' %}
{% block contents %}
    {% include '_partials/banner.twig' with { 'bannerWithLargeBlueSection': 'activeBannerWithLargeBlueSection', 'bannerClass':'bg-video', 'bannerFilter':'bg-gray' } %}
    {% include '_partials/banner-detail.twig' %}
    <div class="search-posts lists vspace" id="link-down">
        <div class="row vlarge animatedParent animateOnce width" data-sequence="200">
            <div class="columns large-8 small-12">
                <div class="search-posts lists menu-holder">
                    <ul class="dropdown menu" data-dropdown-menu>
                        {% set videoCategories = craft.categories.group('videos').find() %}
                        <li class="animated fadeIn" data-id="1"><a href="#most-recent" class="is-active">Most Recent</a></li>
                        {% for category in videoCategories %}
                            {% if(loop.index < 4) %}
                                <li class="animated fadeIn" data-id="{{ loop.index +1 }}"><a href="#{{ category.title|kebab }}">{{ category.title }}</a></li>
                            {% endif %}
                        {% endfor %}
                    </ul>
                    <ul class="dropdown menu" data-dropdown-menu>
                        <li class="animated fadeIn x-margin" data-id="5">
                            {% for category in videoCategories %}
                                {% if(loop.index > 4) %}
                                    {% if loop.last %}
                                        <a href="javascript:void();"><span class="icon-circle"></span><span class="icon-circle"></span><span class="icon-circle"></span></a>
                                    {% endif %}
                                {% endif %}
                            {% endfor %}
                            <ul class="dropdown menu tabs" data-dropdown-menu>
                                {% for category in videoCategories %}
                                    {% if(loop.index > 3) %}
                                        <li><a href="#{{ category.title }}">{{ category.title }}</a></a></li>
                                    {% endif %}
                                {% endfor %}
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
            <div class="columns large-4 small-12">
                <div class="search-posts lists search-holder">
                    <form action="{{ url('/search') }}">
                        <span class="search-input"><input type="text" name="q" placeholder="Search Videos"></span>
                        <span class="submit-icon"><input type="submit" value="submit"></span>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="search-posts wrap">
        <div class="row vlarge vflex animatedParent animateOnce">
            {% set entries = craft.entries.section('videos').limit(9).order('postDate desc') %}
            <div class="tab-contents is-active video" id="most-recent">
                {% paginate entries as entriesOnPage %}
                    {% for entry in entriesOnPage %}
                        <div class="columns large-4 medium-6 small-12 animated fadeIn video-posts">
                            <div class="search-posts posts-holder ajaxVideo new">
                                <div class="search-posts posts-holder image-holder">
                                    {% if entry.featuredImage|length %}
                                        {% for asset in entry.featuredImage %}
                                            <a href="/video_lists?id={{ entry.id }}" data-id="{{entry.id}}" data-rel="lightcase:videoCollection"><img src="{{asset.getUrl('videoImage')}}" alt=""></a>
                                        {% endfor %}
                                        {% else %}
                                            <a href="/video_lists?id={{ entry.id }}" data-id="{{entry.id}}" data-rel="lightcase:videoCollection"><img src="/assets/images/img-video-post-default.jpg" alt=""></a>
                                    {% endif %}
                                        {% if entry.postDate|date_modify('+14 days') > now %}
                                            <div class="caption">NEW</div>
                                        {% else %}
                                        {% endif %}
                                </div>
                                <div class="search-posts posts-holder content-holder">
                                    <h3><a href="/video_lists?id={{ entry.id }}" data-id="{{entry.id}}" data-rel="lightcase:videoCollectionsLink">{{ entry.title }}</a></h3>
                                    <div class="search-date">{{ entry.postDate | date("M d, Y") }}</div>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                    {% endpaginate %}
                    <div class="columns small-12 blog-posts wrap">
                        <div class="search-lists readmore">
                            {% set pagi = craft.entries.section('videos').order('postDate desc').find() %}
                            <a href="#" class="readmore-btn {% for entry in pagi %}{% if loop.length <= 9 %} hide{% endif %}{% endfor %}">LOAD MORE</a>
                        </div>
                    </div>
            </div>
            {% for category in videoCategories %}
                {% set entries = craft.entries.section('videos').limit(3).order('postDate desc').relatedTo(category).find() %}
                {% if entries | length %}
                        <div class="tab-contents video" id="{{ category.title|kebab }}">
                            {% for entry in entries %}
                                <div class="columns large-4 medium-6 small-12 animated fadeIn video-posts">
                                        <div class="search-posts posts-holder ajaxVideo new">
                                            <div class="search-posts posts-holder image-holder">
                                                {% if entry.featuredImage|length %}
                                                    {% for asset in entry.featuredImage %}
                                                        <a href="/video_lists?id={{ entry.id }}" data-id="{{entry.id}}" data-cat="{{category.title}}"
                                                        data-rel="lightcase:videoCollection"><img src="{{asset.getUrl('videoImage')}}" alt=""></a>
                                                    {% endfor %}
                                                    {% else %}
                                                        <a href="/video_lists?id={{ entry.id }}" data-id="{{entry.id}}" data-cat="{{category.title}}" data-rel="lightcase:videoCollection"><img src="/assets/images/img-video-post-default.jpg" alt=""></a>
                                                {% endif %}
                                                {% if entry.postDate|date_modify('+14 days') > now %}
                                                    <div class="caption">NEW</div>
                                                {% endif %}
                                            </div>
                                            <div class="search-posts posts-holder content-holder">
                                                <h3><a href="{{ entry.url }}">{{ entry.title }}</a></h3>
                                                <div class="search-date">{{ entry.postDate | date("M d, Y") }}</div>
                                            </div>
                                        </div>
                                 </div>
                         {% endfor %}
                                <div class="columns small-12 blog-posts wrap">
                                    <div class="search-lists readmore">
                                        {% set pagi = craft.entries.section('videos').order('postDate desc').relatedTo(category).find() %}
                                        <a href="#" class="readmore-btn {% for entry in pagi %}{% if loop.length <= 9 %} hide{% endif %}{% endfor %}" data-category-id="{{category.id}}">LOAD MORE</a>
                                    </div>
                                </div>
                         </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>
{% endblock contents %}
